Index: apter01/administrativa.xml
===================================================================
--- chapter01/administrativa.xml	(revision 895a63773759de2d1a063fea24b3dc53a53f79ec)
+++ 	(revision )
@@ -1,83 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../general.ent">
-  %general-entities;
-]>
-<sect1 id="ch-scatter-administrativa">
-<title>Resources</title>
-<?dbhtml filename="resources.html"?>
-
-
-<sect2 id="ch-scatter-faq">
-<title>FAQ</title>
-
-<para>If during the building of the LFS system you encounter any
-errors, have any questions, or think there is a typo in the book,
-please start by consulting the Frequently Asked Questions (FAQ) 
-that is located at <ulink url="&faq-root;"/>.</para>
-</sect2>
-
-<sect2 id="ch-scatter-maillists" xreflabel="Chapter 1 - Mailing Lists">
-<title>Mailing Lists</title>
-
-<para>The <uri>linuxfromscratch.org</uri> server hosts a number of mailing lists
-used for the development of the LFS project. These lists include the main
-development and support lists, among others. If the FAQ does not solve the
-problem you are having, the next step would be to search the mailing lists at
-<ulink url="&lfs-root;search.html"/>.</para> 
-
-<para>For information on the different lists, how to subscribe, archive
-locations, and additional information, visit
-<ulink url="&lfs-root;mail.html"/>.</para>
-</sect2>
-
-<!-- Remove until such time as we have our own News Server, JH 20060105
-<sect2 id="ch-scatter-newsserver">
-<title>News Server</title>
-
-<para>The mailing lists hosted at <uri>linuxfromscratch.org</uri> are
-also accessible via the Network News Transfer Protocol (NNTP) server.
-All messages posted to a mailing list are copied to the corresponding
-newsgroup, and vice versa.</para>
-
-<para>The news server is located at
-<uri>news.linuxfromscratch.org</uri>.</para>
-</sect2> -->
-
-<sect2 id="ch-scatter-irc">
-<title>IRC</title>
-
-<para>Several members of the LFS community offer assistance on our
-community Internet Relay Chat (IRC) network. Before using this
-support, please make sure that your question is not already answered in the LFS
-FAQ or the mailing list archives. You can find the IRC network at
-<uri>irc.linuxfromscratch.org</uri>. 
-The support channel is named #LFS-support.</para>
-</sect2>
-
-<sect2 id="ch-scatter-references">
-<title>References</title>
-
-<para>For additional information on the packages, useful tips are
-available in the LFS Package Reference page located at <ulink
-url="http://www.linuxfromscratch.org/~matthew/LFS-references.html"/>.</para>
-</sect2>
-
-
-<sect2 id="ch-scatter-mirrors" xreflabel="Chapter 1 - Mirror sites">
-<title>Mirror Sites</title>
-
-<para>The LFS project has a number of world-wide mirrors to make accessing the
-website and downloading the required packages more convenient. Please visit the
-LFS website at <ulink url="&lfs-root;mirrors.html"/> for a list of current
-mirrors.</para> </sect2>
-
-<sect2 id="ch-scatter-contactinfo">
-<title>Contact Information</title>
-
-<para>Please direct all your questions and comments to one of the LFS mailing
-lists (see above).</para>
-</sect2>
-
-</sect1>
-
Index: chapter01/askforhelp.xml
===================================================================
--- chapter01/askforhelp.xml	(revision 895a63773759de2d1a063fea24b3dc53a53f79ec)
+++ chapter01/askforhelp.xml	(revision 13a9dc2d62c5a1fa1c354cdfa54ce18c8f5ff67f)
@@ -1,86 +1,100 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
-<sect1 id="prepare-askforhelp">
-<title>Help</title>
-<?dbhtml filename="askforhelp.html"?>
 
-<para>If an issue or a question is encountered while working
-through this book, check the FAQ page at <ulink url="&faq-root;#generalfaq"/>.
-Questions are often already answered there. If your question is
-not answered on this page, try to find the source of the problem. The
-following hint will give you some guidance for troubleshooting: <ulink
-url="&hints-root;errors.txt"/>.</para>
+<sect1 id="ch-intro-askforhelp">
+  <?dbhtml filename="askforhelp.html"?>
 
-<para>If you cannot find your problem listed in the FAQ, search the mailing
-lists at <ulink url="&lfs-root;search.html"/>.</para>
+  <title>Help</title>
 
-<para>We also have a wonderful LFS community that is willing to offer assistance
-through the mailing lists and IRC (see the <xref
-linkend="ch-scatter-administrativa"/> section of this book). However, we get
-several support questions everyday and many of them can be easily answered by
-going to the FAQ and by searching the mailing lists first. So for us to offer
-the best assistance possible, you need to do some research on your own first.
-That allows us to focus on the more unusual support needs. If your searches do
-not produce a solution, please include all relevant information (mentioned
-below) in your request for help.</para>
+  <para>If an issue or a question is encountered while working through
+  this book, check the FAQ page at <ulink url="&faq-root;#generalfaq"/>.
+  Questions are often already answered there. If your question is not
+  answered on this page, try to find the source of the problem. The
+  following hint will give you some guidance for troubleshooting:
+  <ulink url="&hints-root;errors.txt"/>.</para>
 
-<sect2>
-<title>Things to Mention</title>
- 
-<para>Apart from a brief explanation of the problem being experienced,
-the essential things to include in any request for help are:</para>
+  <para>If you cannot find your problem listed in the FAQ, search the mailing
+  lists at <ulink url="&lfs-root;search.html"/>.</para>
 
-<itemizedlist>
-<listitem><para>The version of the book being used (in this case
-&version;)</para></listitem>
-<listitem><para>The host distribution and version being used to
-create LFS</para></listitem>
-<listitem><para>The package or section the problem was encountered in</para></listitem>
-<listitem><para>The exact error message or symptom being received</para></listitem>
-<listitem><para>Note whether you have deviated from the book at all </para></listitem>
-</itemizedlist>
+  <para>We also have a wonderful LFS community that is willing to offer
+  assistance through the mailing lists and IRC (see the <xref
+  linkend="ch-intro-resources"/> section of this book). However,
+  we get several support questions everyday and many of them can be easily
+  answered by going to the FAQ and by searching the mailing lists first.
+  So for us to offer the best assistance possible, you need to do some
+  research on your own first. That allows us to focus on the more unusual
+  support needs. If your searches do not produce a solution, please include
+  all relevant information (mentioned below) in your request for help.</para>
 
-<note><para>Deviating from this book does <emphasis>not</emphasis>
-mean that we will not help you. After all, LFS is about personal
-preference. Being upfront about any changes to the established
-procedure helps us evaluate and determine possible causes of your
-problem.</para></note>
-</sect2>
+  <sect2>
+    <title>Things to Mention</title>
 
-<sect2>
-<title>Configure Script Problems</title>
+    <para>Apart from a brief explanation of the problem being experienced,
+    the essential things to include in any request for help are:</para>
 
-<para>If something goes wrong while running the <command>configure</command>
-script, review the <filename>config.log</filename> file. This file may
-contain errors encountered during <command>configure</command> which were not
-printed to the screen.  Include the <emphasis>relevant</emphasis> lines if you
-need to ask for help.</para>
-</sect2>
+    <itemizedlist>
+      <listitem>
+        <para>The version of the book being used (in this case &version;)</para>
+      </listitem>
+      <listitem>
+        <para>The host distribution and version being used to create LFS</para>
+      </listitem>
+      <listitem>
+        <para>The package or section the problem was encountered in</para>
+      </listitem>
+      <listitem>
+        <para>The exact error message or symptom being received</para>
+      </listitem>
+      <listitem>
+        <para>Note whether you have deviated from the book at all </para>
+      </listitem>
+    </itemizedlist>
 
-<sect2>
-<title>Compilation Problems</title>
+    <note>
+      <para>Deviating from this book does <emphasis>not</emphasis> mean that
+      we will not help you. After all, LFS is about personal preference.
+      Being upfront about any changes to the established procedure helps us
+      evaluate and determine possible causes of your problem.</para>
+    </note>
 
-<para>Both the screen output and the contents of various files are
-useful in determining the cause of compilation problems. The screen output
-from the <command>configure</command> script and the 
-<command>make</command> run can be helpful. It
-is not necessary to include the entire output, but do include enough
-of the relevant information. Below is an example of the type of
-information to include from the screen output from <command>make</command>:</para>
+  </sect2>
+
+  <sect2>
+    <title>Configure Script Problems</title>
+
+    <para>If something goes wrong while running the <command>configure</command>
+    script, review the <filename>config.log</filename> file. This file may
+    contain errors encountered during <command>configure</command> which were
+    not printed to the screen. Include the <emphasis>relevant</emphasis> lines
+    if you need to ask for help.</para>
+
+  </sect2>
+
+  <sect2>
+    <title>Compilation Problems</title>
+
+    <para>Both the screen output and the contents of various files are useful
+    in determining the cause of compilation problems. The screen output from
+    the <command>configure</command> script and the <command>make</command>
+    run can be helpful. It is not necessary to include the entire output, but
+    do include enough of the relevant information. Below is an example of the
+    type of information to include from the screen output from
+    <command>make</command>:</para>
 
 <screen><computeroutput>gcc -DALIASPATH=\"/mnt/lfs/usr/share/locale:.\"
--DLOCALEDIR=\"/mnt/lfs/usr/share/locale\" 
+-DLOCALEDIR=\"/mnt/lfs/usr/share/locale\"
 -DLIBDIR=\"/mnt/lfs/usr/lib\"
 -DINCLUDEDIR=\"/mnt/lfs/usr/include\" -DHAVE_CONFIG_H -I. -I.
 -g -O2 -c getopt1.c
-gcc -g -O2 -static -o make ar.o arscan.o commands.o dir.o 
-expand.o file.o function.o getopt.o implicit.o job.o main.o 
-misc.o read.o remake.o rule.o signame.o variable.o vpath.o 
+gcc -g -O2 -static -o make ar.o arscan.o commands.o dir.o
+expand.o file.o function.o getopt.o implicit.o job.o main.o
+misc.o read.o remake.o rule.o signame.o variable.o vpath.o
 default.o remote-stub.o version.o opt1.o
 -lutil job.o: In function `load_too_high':
-/lfs/tmp/make-3.79.1/job.c:1565: undefined reference 
+/lfs/tmp/make-3.79.1/job.c:1565: undefined reference
 to `getloadavg'
 collect2: ld returned 1 exit status
@@ -91,22 +105,22 @@
 make: *** [all-recursive-am] Error 2</computeroutput></screen>
 
-<para>In this case, many people would just include the bottom
-section:</para>
+    <para>In this case, many people would just include the bottom
+    section:</para>
 
 <screen><computeroutput>make [2]: *** [make] Error 1</computeroutput></screen>
 
-<para>This is not enough information to properly diagnose the problem
-because it only notes that something went wrong, not
-<emphasis>what</emphasis> went wrong.  The entire section, as in the
-example above, is what should be saved because it includes the command
-that was executed and the associated error message(s).</para>
+    <para>This is not enough information to properly diagnose the problem
+    because it only notes that something went wrong, not
+    <emphasis>what</emphasis> went wrong. The entire section, as in the
+    example above, is what should be saved because it includes the command
+    that was executed and the associated error message(s).</para>
 
-<para>An excellent article about asking for help on the Internet is
-available online at <ulink
-url="http://catb.org/~esr/faqs/smart-questions.html"/>.  Read and
-follow the hints in this document to increase the likelihood of getting
-the help you need.</para>
-</sect2>
+    <para>An excellent article about asking for help on the Internet is
+    available online at <ulink
+    url="http://catb.org/~esr/faqs/smart-questions.html"/>. Read and
+    follow the hints in this document to increase the likelihood of getting
+    the help you need.</para>
+
+  </sect2>
 
 </sect1>
-
Index: chapter01/chapter01.xml
===================================================================
--- chapter01/chapter01.xml	(revision 895a63773759de2d1a063fea24b3dc53a53f79ec)
+++ chapter01/chapter01.xml	(revision 13a9dc2d62c5a1fa1c354cdfa54ce18c8f5ff67f)
@@ -1,17 +1,20 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
+
 <chapter id="chapter-intro" xreflabel="Chapter 1">
-<?dbhtml dir="chapter01"?>
-<title>Introduction</title>
-<?dbhtml filename="chapter01.html"?>
+  <?dbhtml dir="chapter01"?>
+  <?dbhtml filename="chapter01.html"?>
 
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="how.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="changelog.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="administrativa.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="askforhelp.xml"/>
-<!--<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="livecd.xml"/>-->
+  <title>Introduction</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="how.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="changelog.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="resources.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="askforhelp.xml"/>
+  <!--<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="livecd.xml"/>-->
 
 </chapter>
Index: chapter01/how.xml
===================================================================
--- chapter01/how.xml	(revision 895a63773759de2d1a063fea24b3dc53a53f79ec)
+++ chapter01/how.xml	(revision 13a9dc2d62c5a1fa1c354cdfa54ce18c8f5ff67f)
@@ -1,88 +1,89 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
-<sect1 id="ch-scatter-how">
-<title>How to Build an LFS System</title>
-<?dbhtml filename="how.html"?>
 
-<para>The LFS system will be built by using a previously installed
-Linux distribution (such as Debian, Mandrake, Red Hat, or SuSE). This
-existing Linux system (the host) will be used as a starting point to
-provide necessary programs, including a compiler, linker, and shell,
-to build the new system. Select the <quote>development</quote> option
-during the distribution installation to be able to access these
-tools.</para>
+<sect1 id="ch-intro-how">
+  <?dbhtml filename="how.html"?>
 
-<para>As an alternative to installing an entire separate distribution onto your
-machine, you may wish to use the Linux From Scratch LiveCD. The CD works well as
-a host system, providing all the tools you need to successfully follow the
-instructions in this book. Additionally, it contains all the source packages,
-patches and a copy of this book. So once you have the CD, no network connection
-or additional downloads are necessary. For more information about the LFS LiveCD
-or to download a copy, visit <ulink url="&livecd-root;"/>.</para>
+  <title>How to Build an LFS System</title>
 
-<para><xref linkend="chapter-partitioning"/> of this book describes how
-to create a new Linux native partition and file system, the place
-where the new LFS system will be compiled and installed. <xref
-linkend="chapter-getting-materials"/> explains which packages and
-patches need to be downloaded to build an LFS system and how to store
-them on the new file system. <xref linkend="chapter-final-preps"/>
-discusses the setup for an appropriate working environment. Please read
-<xref linkend="chapter-final-preps"/> carefully as it explains several
-important issues the developer should be aware of before beginning to
-work through <xref linkend="chapter-temporary-tools"/> and
-beyond.</para>
+  <para>The LFS system will be built by using a previously installed
+  Linux distribution (such as Debian, Mandrake, Red Hat, or SuSE). This
+  existing Linux system (the host) will be used as a starting point to
+  provide necessary programs, including a compiler, linker, and shell,
+  to build the new system. Select the <quote>development</quote> option
+  during the distribution installation to be able to access these
+  tools.</para>
 
-<para><xref linkend="chapter-temporary-tools"/> explains the
-installation of a number of packages that will form the basic
-development suite (or toolchain) which is used to build the actual
-system in <xref linkend="chapter-building-system"/>. Some of these
-packages are needed to resolve circular dependencies&mdash;for example,
-to compile a compiler, you need a compiler.</para>
+  <para>As an alternative to installing an entire separate distribution
+  onto your machine, you may wish to use the Linux From Scratch LiveCD.
+  The CD works well as a host system, providing all the tools you need
+  to successfully follow the instructions in this book. Additionally,
+  it contains all the source packages, patches and a copy of this book.
+  So once you have the CD, no network connection or additional downloads
+  are necessary. For more information about the LFS LiveCD or to download
+  a copy, visit <ulink url="&livecd-root;"/>.</para>
 
-<para><xref linkend="chapter-temporary-tools"/> also shows the user how
-to build a first pass of the toolchain, including Binutils and GCC
-(first pass basically means these two core packages will be
-re-installed a second time). The next step is to build Glibc, the C library.
-Glibc will be compiled by the toolchain programs built in the first pass. Then,
-a second pass of the toolchain will be built. This time, the toolchain will be
-dynamically linked against the newly built Glibc. The remaining
-<xref linkend="chapter-temporary-tools"/> packages are built using this second
-pass toolchain. When this is done, the LFS installation process will no longer
-depend on the host distribution, with the exception of the running kernel.
-</para>
+  <para><xref linkend="chapter-partitioning"/> of this book describes how
+  to create a new Linux native partition and file system, the place
+  where the new LFS system will be compiled and installed. <xref
+  linkend="chapter-getting-materials"/> explains which packages and
+  patches need to be downloaded to build an LFS system and how to store
+  them on the new file system. <xref linkend="chapter-final-preps"/>
+  discusses the setup for an appropriate working environment. Please read
+  <xref linkend="chapter-final-preps"/> carefully as it explains several
+  important issues the developer should be aware of before beginning to
+  work through <xref linkend="chapter-temporary-tools"/> and beyond.</para>
 
-<para>This effort to isolate the new system from the host distribution may seem
-excessive, but a full technical explanation is provided in
-<xref linkend="ch-tools-toolchaintechnotes"/>.</para>
+  <para><xref linkend="chapter-temporary-tools"/> explains the
+  installation of a number of packages that will form the basic
+  development suite (or toolchain) which is used to build the actual
+  system in <xref linkend="chapter-building-system"/>. Some of these
+  packages are needed to resolve circular dependencies&mdash;for example,
+  to compile a compiler, you need a compiler.</para>
 
-<para>In <xref linkend="chapter-building-system"/>, the full LFS system is
-built. The <command>chroot</command> (change root) program is used to enter a virtual
-environment and start a new shell whose root directory will be set to
-the LFS partition. This is very similar to rebooting and instructing
-the kernel to mount the LFS partition as the root partition. The
-system does not actually reboot, but instead <command>chroot</command>'s because creating a
-bootable system requires additional work which is not necessary just
-yet. The major advantage is that <quote>chrooting</quote> allows the
-builder to continue using the host while LFS is being built. While
-waiting for package compilation to complete, a user can switch to a
-different virtual console (VC) or X desktop and continue using the
-computer as normal.</para>
+  <para><xref linkend="chapter-temporary-tools"/> also shows the user how to
+  build a first pass of the toolchain, including Binutils and GCC (first pass
+  basically means these two core packages will be re-installed a second time).
+  The next step is to build Glibc, the C library. Glibc will be compiled by
+  the toolchain programs built in the first pass. Then, a second pass of the
+  toolchain will be built. This time, the toolchain will be dynamically linked
+  against the newly built Glibc. The remaining <xref
+  linkend="chapter-temporary-tools"/> packages are built using this second
+  pass toolchain. When this is done, the LFS installation process will no
+  longer depend on the host distribution, with the exception of the running
+  kernel. </para>
 
-<para>To finish the installation, the LFS-Bootscripts are set up in <xref
-linkend="chapter-bootscripts"/>, and the kernel and boot loader are set
-up in <xref linkend="chapter-bootable"/>. <xref
-linkend="chapter-finalizing"/> contains information on furthering the
-LFS experience beyond this book.  After the steps in this book have
-been implemented, the computer will be ready to reboot into the new
-LFS system.</para>
+  <para>This effort to isolate the new system from the host distribution may
+  seem excessive, but a full technical explanation is provided in
+  <xref linkend="ch-tools-toolchaintechnotes"/>.</para>
 
-<para>This is the process in a nutshell. Detailed information on each
-step is discussed in the following chapters and package descriptions.
-Items that may seem complicated will be clarified, and everything will
-fall into place as the reader embarks on the LFS adventure.</para>
+  <para>In <xref linkend="chapter-building-system"/>, the full LFS system is
+  built. The <command>chroot</command> (change root) program is used to enter
+  a virtual environment and start a new shell whose root directory will be
+  set to the LFS partition. This is very similar to rebooting and instructing
+  the kernel to mount the LFS partition as the root partition. The system
+  does not actually reboot, but instead <command>chroot</command>'s because
+  creating a bootable system requires additional work which is not necessary
+  just yet. The major advantage is that <quote>chrooting</quote> allows the
+  builder to continue using the host while LFS is being built. While waiting
+  for package compilation to complete, a user can switch to a different
+  virtual console (VC) or X desktop and continue using the computer as
+  normal.</para>
+
+  <para>To finish the installation, the LFS-Bootscripts are set up in
+  <xref linkend="chapter-bootscripts"/>, and the kernel and boot loader are set
+  up in <xref linkend="chapter-bootable"/>. <xref linkend="chapter-finalizing"/>
+  contains information on furthering the LFS experience beyond this book.
+  After the steps in this book have been implemented, the computer will be
+  ready to reboot into the new LFS system.</para>
+
+  <para>This is the process in a nutshell. Detailed information on each
+  step is discussed in the following chapters and package descriptions.
+  Items that may seem complicated will be clarified, and everything will
+  fall into place as the reader embarks on the LFS adventure.</para>
 
 </sect1>
-
Index: chapter01/livecd.xml
===================================================================
--- chapter01/livecd.xml	(revision 895a63773759de2d1a063fea24b3dc53a53f79ec)
+++ chapter01/livecd.xml	(revision 13a9dc2d62c5a1fa1c354cdfa54ce18c8f5ff67f)
@@ -1,66 +1,106 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
-<sect1 id="prepare-livecd">
-<title>About the Included CD</title>
-<?dbhtml filename="livecd.html"?>
 
-<para>For your convenience, we have included a CD with this book that
-contains the source packages needed for creating a Linux From Scratch
-system.  The CD is bootable and provides a stable working environment
-for building LFS.  This book refers to this system as the
-<quote>host system.</quote>  The CD images are actively maintained and
-updated versions can be found at
-<ulink url="ftp://ftp.lfs-matrix.net/pub/lfs-livecd/"/></para>
+<sect1 id="ch-intro-livecd">
+  <?dbhtml filename="livecd.html"?>
 
-<para>In addition to the tools required to build LFS, the host system
-on the CD has a number of other helpful tools installed:</para>
+  <title>About the Included CD</title>
 
-<itemizedlist>
-	<listitem><para>An HTML version of this book</para></listitem>
-	<listitem><para>The X Window System Environment</para></listitem>
-	<listitem>
-		<para>Web Tools</para>
-		<itemizedlist>
-			<listitem><para>Wget (command line file retriever)</para></listitem>
-			<listitem><para>Lynx (text web browser)</para></listitem>
-			<listitem><para>Irssi (console IRC client)</para></listitem>
-			<listitem><para>Firefox (graphical web browser)</para></listitem>
-			<listitem><para>Xchat (X-based IRC client)</para></listitem>
-		</itemizedlist>
-	</listitem>
+  <para>For your convenience, we have included a CD with this book that
+  contains the source packages needed for creating a Linux From Scratch
+  system.  The CD is bootable and provides a stable working environment
+  for building LFS.  This book refers to this system as the
+  <quote>host system.</quote>  The CD images are actively maintained and
+  updated versions can be found at
+  <ulink url="ftp://ftp.lfs-matrix.net/pub/lfs-livecd/"/></para>
 
-	<listitem>
-		<para>Text Editors</para>
-		<itemizedlist>
-			<listitem><para>Vim</para></listitem>
-			<listitem><para>Nano</para></listitem>
-		</itemizedlist>
-	</listitem>
+  <para>In addition to the tools required to build LFS, the host system
+  on the CD has a number of other helpful tools installed:</para>
 
-	<listitem>
-		<para>Network Tools</para>
-		<itemizedlist>
-		<listitem><para>SSH Server and Client</para></listitem>
-		<listitem><para>NFS Server and Client</para></listitem>
-		<listitem><para>Smbmount (mount.cifs) for Windows shares</para></listitem>
-		<listitem><para>Subversion</para></listitem>
-		<listitem><para>Dhcpcd (DHCP client)</para></listitem>
-	</itemizedlist>
-	</listitem>
+  <itemizedlist>
 
-	<listitem>
-		<para>Filesystem Programs</para>
-		<itemizedlist>
-			<listitem><para>Reiserfsprogs</para></listitem>
-			<listitem><para>Xfsprogs</para></listitem>
-		</itemizedlist>
-	</listitem>
+    <listitem>
+      <para>An HTML version of this book</para>
+    </listitem>
 
-	<listitem><para>nALFS - A tool for automating LFS builds</para></listitem>
-</itemizedlist>
+    <listitem>
+      <para>The X Window System Environment</para>
+    </listitem>
+
+    <listitem>
+      <para>Web Tools</para>
+      <itemizedlist>
+        <listitem>
+          <para>Wget (command line file retriever)</para>
+        </listitem>
+        <listitem>
+          <para>Lynx (text web browser)</para>
+        </listitem>
+        <listitem>
+          <para>Irssi (console IRC client)</para>
+        </listitem>
+        <listitem>
+          <para>Firefox (graphical web browser)</para>
+        </listitem>
+        <listitem>
+          <para>Xchat (X-based IRC client)</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>Text Editors</para>
+      <itemizedlist>
+        <listitem>
+          <para>Vim</para>
+        </listitem>
+        <listitem>
+          <para>Nano</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>Network Tools</para>
+      <itemizedlist>
+        <listitem>
+          <para>SSH Server and Client</para>
+        </listitem>
+        <listitem>
+          <para>NFS Server and Client</para>
+        </listitem>
+        <listitem>
+          <para>Smbmount (mount.cifs) for Windows shares</para>
+        </listitem>
+        <listitem>
+          <para>Subversion</para>
+        </listitem>
+        <listitem>
+          <para>Dhcpcd (DHCP client)</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>Filesystem Programs</para>
+      <itemizedlist>
+        <listitem>
+          <para>Reiserfsprogs</para>
+        </listitem>
+        <listitem>
+          <para>Xfsprogs</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>nALFS - A tool for automating LFS builds</para>
+    </listitem>
+
+  </itemizedlist>
 
 </sect1>
-
Index: chapter01/resources.xml
===================================================================
--- chapter01/resources.xml	(revision 13a9dc2d62c5a1fa1c354cdfa54ce18c8f5ff67f)
+++ chapter01/resources.xml	(revision 13a9dc2d62c5a1fa1c354cdfa54ce18c8f5ff67f)
@@ -0,0 +1,91 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-intro-resources">
+  <?dbhtml filename="resources.html"?>
+
+  <title>Resources</title>
+
+  <sect2 id="ch-intro-faq">
+    <title>FAQ</title>
+
+    <para>If during the building of the LFS system you encounter any
+    errors, have any questions, or think there is a typo in the book,
+    please start by consulting the Frequently Asked Questions (FAQ)
+    that is located at <ulink url="&faq-root;"/>.</para>
+
+  </sect2>
+
+  <sect2 id="ch-intro-maillists" xreflabel="Chapter 1 - Mailing Lists">
+    <title>Mailing Lists</title>
+
+    <para>The <uri>linuxfromscratch.org</uri> server hosts a number of mailing
+    lists used for the development of the LFS project. These lists include the
+    main development and support lists, among others. If the FAQ does not solve
+    the problem you are having, the next step would be to search the mailing
+    lists at <ulink url="&lfs-root;search.html"/>.</para>
+
+    <para>For information on the different lists, how to subscribe, archive
+    locations, and additional information, visit
+    <ulink url="&lfs-root;mail.html"/>.</para>
+
+  </sect2>
+
+  <!-- Remove until such time as we have our own News Server, JH 20060105
+  <sect2 id="ch-intro-newsserver">
+    <title>News Server</title>
+
+    <para>The mailing lists hosted at <uri>linuxfromscratch.org</uri> are
+    also accessible via the Network News Transfer Protocol (NNTP) server.
+    All messages posted to a mailing list are copied to the corresponding
+    newsgroup, and vice versa.</para>
+
+    <para>The news server is located at
+    <uri>news.linuxfromscratch.org</uri>.</para>
+
+  </sect2> -->
+
+  <sect2 id="ch-intro-irc">
+    <title>IRC</title>
+
+    <para>Several members of the LFS community offer assistance on our
+    community Internet Relay Chat (IRC) network. Before using this support,
+    please make sure that your question is not already answered in the LFS
+    FAQ or the mailing list archives. You can find the IRC network at
+    <uri>irc.linuxfromscratch.org</uri>. The support channel is named
+    #LFS-support.</para>
+
+  </sect2>
+
+  <sect2 id="ch-intro-references">
+    <title>References</title>
+
+    <para>For additional information on the packages, useful tips are
+    available in the LFS Package Reference page located at <ulink
+    url="http://www.linuxfromscratch.org/~matthew/LFS-references.html"/>.</para>
+
+  </sect2>
+
+  <sect2 id="ch-intro-mirrors" xreflabel="Chapter 1 - Mirror sites">
+    <title>Mirror Sites</title>
+
+    <para>The LFS project has a number of world-wide mirrors to make accessing
+    the website and downloading the required packages more convenient. Please
+    visit the LFS website at <ulink url="&lfs-root;mirrors.html"/> for a list
+    of current mirrors.</para>
+
+  </sect2>
+
+  <sect2 id="ch-intro-contactinfo">
+    <title>Contact Information</title>
+
+    <para>Please direct all your questions and comments to one of the LFS
+    mailing lists (see above).</para>
+
+  </sect2>
+
+</sect1>
Index: chapter09/whatnow.xml
===================================================================
--- chapter09/whatnow.xml	(revision 895a63773759de2d1a063fea24b3dc53a53f79ec)
+++ chapter09/whatnow.xml	(revision 13a9dc2d62c5a1fa1c354cdfa54ce18c8f5ff67f)
@@ -82,5 +82,5 @@
       are in need of help, want to stay current with the latest developments,
       want to contribute to the project, and more. See <xref
-      linkend="ch-scatter-maillists"/> for more
+      linkend="ch-intro-maillists"/> for more
       information.</para>
     </listitem>