Index: appendixa/netkitbase-dep.xml
===================================================================
--- appendixa/netkitbase-dep.xml	(revision 5406b139fb11b3010fb90d65b536b443d9223bc9)
+++ appendixa/netkitbase-dep.xml	(revision 18e6f6448194e5d9842c89d87006a669f49b5a7e)
@@ -1,2 +1,4 @@
+<sect2><title>&nbsp;</title><para>&nbsp;</para></sect2>
+
 <sect2>
 <title>Netkit-base Installation Dependencies</title>
Index: appendixa/netkitbase-desc.xml
===================================================================
--- appendixa/netkitbase-desc.xml	(revision 5406b139fb11b3010fb90d65b536b443d9223bc9)
+++ appendixa/netkitbase-desc.xml	(revision 18e6f6448194e5d9842c89d87006a669f49b5a7e)
@@ -1,10 +1,9 @@
-<sect2><title>Contents of Netkit-base</title>
+<sect2><title>&nbsp;</title><para>&nbsp;</para></sect2>
+
+<sect2><title>Descriptions</title>
 
 <para>Last checked against version &netkit-base-contversion;.</para>
 
-<sect3><title>Program Files</title>
-<para>inetd and ping</para></sect3>
-
-<sect3><title>Descriptions</title>
+<sect3><title>Program file descriptions</title>
 
 <sect4><title>inetd</title>
Index: appendixa/netkitbase-shortdesc.xml
===================================================================
--- appendixa/netkitbase-shortdesc.xml	(revision 18e6f6448194e5d9842c89d87006a669f49b5a7e)
+++ appendixa/netkitbase-shortdesc.xml	(revision 18e6f6448194e5d9842c89d87006a669f49b5a7e)
@@ -0,0 +1,16 @@
+<sect2><title>Contents of Netkit-base</title>
+
+<para>Last checked against version &netkit-base-contversion;.</para>
+
+<para>The Netkit-base package contains two network-related
+tools: ping, which determines the response time of ICMP packets,
+and the inet daemon, which listens for port requests and assigns
+these requests to the appropriate programs.</para>
+
+<para>Netkit-base installs the following:</para>
+
+<sect3><title>Program Files</title>
+<para>inetd and ping</para></sect3>
+
+</sect2>
+
Index: appendixa/netkitbase.xml
===================================================================
--- appendixa/netkitbase.xml	(revision 5406b139fb11b3010fb90d65b536b443d9223bc9)
+++ appendixa/netkitbase.xml	(revision 18e6f6448194e5d9842c89d87006a669f49b5a7e)
@@ -4,4 +4,5 @@
 
 &aa-netkitbase-down;
+&aa-netkitbase-shortdesc;
 &aa-netkitbase-desc;
 &aa-netkitbase-dep;
Index: chapter06/netkitbase-inst.xml
===================================================================
--- chapter06/netkitbase-inst.xml	(revision 5406b139fb11b3010fb90d65b536b443d9223bc9)
+++ chapter06/netkitbase-inst.xml	(revision 18e6f6448194e5d9842c89d87006a669f49b5a7e)
@@ -1,15 +1,27 @@
+<sect2><title>&nbsp;</title><para>&nbsp;</para></sect2>
+
 <sect2>
 <title>Installation of Netkit-base</title>
 
-<para>Install Netkit-base by running the following commands:</para>
+<para>Prepare Netkit-base to be compiled:</para>
 
-<para><screen><userinput>./configure &amp;&amp;
-make &amp;&amp;
-make install &amp;&amp;
-cp etc.sample/{services,protocols} /etc</userinput></screen></para>
+<para><screen><userinput>./configure</userinput></screen></para>
 
-<para>There are other files in the <filename
-class="directory">etc.sample</filename> directory which might be of
-interest to you.</para>
+<para>Continue with compiling the package:</para>
+
+<para><screen><userinput>make</userinput></screen></para>
+
+<para>Install the package:</para>
+
+<para><screen><userinput>make install</userinput></screen></para>
+
+<para>Finally, two essential config files need to be installed in
+the <filename class="directory">/etc</filename> directory. There are
+other files in the <filename class="directory">etc.sample</filename>
+directory which might be of interest to you.</para>
+
+<para>Complete the installation of this package:</para>
+
+<para><screen><userinput>cp etc.sample/{services,protocols} /etc</userinput></screen></para>
 
 </sect2>
Index: chapter06/netkitbase.xml
===================================================================
--- chapter06/netkitbase.xml	(revision 5406b139fb11b3010fb90d65b536b443d9223bc9)
+++ chapter06/netkitbase.xml	(revision 18e6f6448194e5d9842c89d87006a669f49b5a7e)
@@ -6,7 +6,7 @@
 Estimated required disk space:  &netkit-base-compsize;</screen>
 
+&aa-netkitbase-shortdesc;
+&aa-netkitbase-dep;
 &c6-netkitbase-inst;
-&aa-netkitbase-desc;
-&aa-netkitbase-dep;
 
 </sect1>
Index: entities/netkitbase.ent
===================================================================
--- entities/netkitbase.ent	(revision 5406b139fb11b3010fb90d65b536b443d9223bc9)
+++ entities/netkitbase.ent	(revision 18e6f6448194e5d9842c89d87006a669f49b5a7e)
@@ -8,4 +8,5 @@
 <!ENTITY aa-netkitbase-dep SYSTEM "../appendixa/netkitbase-dep.xml">
 <!ENTITY aa-netkitbase-down SYSTEM "../appendixa/netkitbase-down.xml">
+<!ENTITY aa-netkitbase-shortdesc SYSTEM "../appendixa/netkitbase-shortdesc.xml">
 
 <!ENTITY netkit-base-version "0.17">