Index: stylesheets/xhtml/lfs-navigational.xsl
===================================================================
--- stylesheets/xhtml/lfs-navigational.xsl	(revision 8df9f6385334fa18b32aebc0a2988a5ebc7bef94)
+++ stylesheets/xhtml/lfs-navigational.xsl	(revision 21a989459857c040b10fdc3f5fe386fc50a5c127)
@@ -55,4 +55,7 @@
                 </xsl:call-template>
               </a>
+              <p>
+                <xsl:value-of select="$prev/title"/>
+              </p>
             </li>
           </xsl:if>
@@ -72,23 +75,27 @@
                 </xsl:call-template>
               </a>
-            </li>
-          </xsl:if>
-          <xsl:if test="count($up)&gt;0 and $up != $home">
+              <p>
+                <xsl:value-of select="$next/title"/>
+              </p>
+            </li>
+          </xsl:if>
             <li class="up">
-              <a accesskey="u">
-                <xsl:attribute name="href">
-                  <xsl:call-template name="href.target">
-                    <xsl:with-param name="object" select="$up"/>
-                  </xsl:call-template>
-                </xsl:attribute>
-                <xsl:attribute name="title">
-                  <xsl:apply-templates select="$up" mode="object.title.markup"/>
-                </xsl:attribute>
-                <xsl:call-template name="navig.content">
-                  <xsl:with-param name="direction" select="'up'"/>
-                </xsl:call-template>
-              </a>
-            </li>
-          </xsl:if>
+              <xsl:if test="count($up)&gt;0 and $up != $home">
+                <a accesskey="u">
+                  <xsl:attribute name="href">
+                    <xsl:call-template name="href.target">
+                      <xsl:with-param name="object" select="$up"/>
+                    </xsl:call-template>
+                  </xsl:attribute>
+                  <xsl:attribute name="title">
+                    <xsl:apply-templates select="$up" mode="object.title.markup"/>
+                  </xsl:attribute>
+                  <xsl:call-template name="navig.content">
+                    <xsl:with-param name="direction" select="'up'"/>
+                  </xsl:call-template>
+                </a>
+              </xsl:if>
+              <xsl:text>.</xsl:text>
+            </li>
           <li class="home">
             <a accesskey="h">
@@ -140,4 +147,7 @@
                 </xsl:call-template>
               </a>
+              <p>
+                <xsl:value-of select="$prev/title"/>
+              </p>
             </li>
           </xsl:if>
@@ -157,42 +167,47 @@
                 </xsl:call-template>
               </a>
-            </li>
-          </xsl:if>
-          <xsl:if test="count($up)&gt;0 and $up != $home">
+              <p>
+                <xsl:value-of select="$next/title"/>
+              </p>
+            </li>
+          </xsl:if>
             <li class="up">
-              <a accesskey="u">
-                <xsl:attribute name="href">
-                  <xsl:call-template name="href.target">
-                    <xsl:with-param name="object" select="$up"/>
-                  </xsl:call-template>
-                </xsl:attribute>
-                <xsl:attribute name="title">
-                  <xsl:apply-templates select="$up" mode="object.title.markup"/>
-                </xsl:attribute>
-                <xsl:call-template name="navig.content">
-                  <xsl:with-param name="direction" select="'up'"/>
-                </xsl:call-template>
-              </a>
-            </li>
-          </xsl:if>
-          <xsl:if  test="$home != .">
+              <xsl:if test="count($up)&gt;0 and $up != $home">
+                <a accesskey="u">
+                  <xsl:attribute name="href">
+                    <xsl:call-template name="href.target">
+                      <xsl:with-param name="object" select="$up"/>
+                    </xsl:call-template>
+                  </xsl:attribute>
+                  <xsl:attribute name="title">
+                    <xsl:apply-templates select="$up" mode="object.title.markup"/>
+                  </xsl:attribute>
+                  <xsl:call-template name="navig.content">
+                    <xsl:with-param name="direction" select="'up'"/>
+                  </xsl:call-template>
+                </a>
+              </xsl:if>
+              <xsl:text>.</xsl:text>
+            </li>
             <li class="home">
-              <a accesskey="h">
-                <xsl:attribute name="href">
-                  <xsl:call-template name="href.target">
-                    <xsl:with-param name="object" select="$home"/>
-                  </xsl:call-template>
-                </xsl:attribute>
-                <xsl:attribute name="title">
-                  <xsl:value-of select="$home/bookinfo/title"/>
-                  <xsl:text> - </xsl:text>
-                  <xsl:value-of select="$home/bookinfo/subtitle"/>
-                </xsl:attribute>
-                <xsl:call-template name="navig.content">
-                  <xsl:with-param name="direction" select="'home'"/>
-                </xsl:call-template>
-              </a>
-            </li>
-          </xsl:if>
+              <xsl:if  test="$home != .">
+                <a accesskey="h">
+                  <xsl:attribute name="href">
+                    <xsl:call-template name="href.target">
+                      <xsl:with-param name="object" select="$home"/>
+                    </xsl:call-template>
+                  </xsl:attribute>
+                  <xsl:attribute name="title">
+                    <xsl:value-of select="$home/bookinfo/title"/>
+                    <xsl:text> - </xsl:text>
+                    <xsl:value-of select="$home/bookinfo/subtitle"/>
+                  </xsl:attribute>
+                  <xsl:call-template name="navig.content">
+                    <xsl:with-param name="direction" select="'home'"/>
+                  </xsl:call-template>
+                </a>
+              </xsl:if>
+              <xsl:text>.</xsl:text>
+            </li>
         </ul>
       </div>