Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 2dea807cd3689fe02929ad264dca5b2ee592af96)
+++ chapter01/changelog.xml	(revision 24ed2a19ccca17f8b504e80c51638f88749af55e)
@@ -50,512 +50,4 @@
           <para>[bdubbs] - LFS-8.0 released.</para>
         </listitem>
-        <listitem>
-          <para>[ken] - Comment out the test-lock test in coreutils,
-          findutils, gettext because on some machines it now loops
-          forever.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2017-02-19</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Add a fix (embeeded patch) to shadow
-          to fix an upstream bug.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2017-02-13</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to file-5.30.  Fixes
-          <ulink url="&lfs-ticket-root;4047">#4047</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2017-02-10</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to grep-3.0.  Fixes
-          <ulink url="&lfs-ticket-root;4045">#4045</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.9.9.  Fixes
-          <ulink url="&lfs-ticket-root;4046">#4046</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2017-02-08</para>
-      <itemizedlist>
-        <listitem>
-          <para>[dj] - Restore chapter 5 build of bison for binutils.</para>
-        </listitem>
-        <listitem>
-          <para>[dj] - Build gold linker with binutils. The bfd linker remains
-          default.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2017-02-07</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Add bash-4.4 upstream fixes patch. </para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2017-02-05</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to glibc-2.25.  Fixes
-          <ulink url="&lfs-ticket-root;4043">#4043</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Revert gperf to version 3.0.4. Fixes
-          <ulink url="&lfs-ticket-root;4044">#4044</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.9.8.tar.xz. Fixes
-          <ulink url="&lfs-ticket-root;4036">#4036</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to check-0.11.0. Fixes
-          <ulink url="&lfs-ticket-root;4035">#4035</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to shadow-4.4. Fixes
-          <ulink url="&lfs-ticket-root;4037">#4037</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to e2fsprogs-1.43.4. Fixes
-          <ulink url="&lfs-ticket-root;4039">#4039</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to sed-4.4. Fixes
-          <ulink url="&lfs-ticket-root;4041">#4041</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2017-01-22</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.9.5.tar.xz. Fixes
-          <ulink url="&lfs-ticket-root;4030">#4030</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to kbd-2.0.4. Fixes
-          <ulink url="&lfs-ticket-root;4029">#4029</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to perl-5.24.1. Fixes
-          <ulink url="&lfs-ticket-root;4031">#4031</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to zlib-1.2.11. Fixes
-          <ulink url="&lfs-ticket-root;4032">#4032</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to util-linux-2.29.1. Fixes
-          <ulink url="&lfs-ticket-root;4034">#4034</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2017-01-08</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.9.1.tar.xz. Fixes
-          <ulink url="&lfs-ticket-root;4028">#4028</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to sed-4.3.tar.xz. Fixes
-          <ulink url="&lfs-ticket-root;4025">#4025</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to gperf-3.1. Fixes
-          <ulink url="&lfs-ticket-root;4026">#4026</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2017-01-03</para>
-      <itemizedlist>
-        <listitem>
-          <para>[dj] - Update to zlib-1.2.10. Fixes
-          <ulink url="&lfs-ticket-root;4023">#4023</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[dj] - Update to m4-1.4.18. Fixes
-          <ulink url="&lfs-ticket-root;4022">#4022</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[dj] - Make binutils build against system zlib and enable
-          plugins for LTO.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2017-01-01</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to flex-2.6.3. Fixes
-          <ulink url="&lfs-ticket-root;4020">#4020</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to xz-5.2.3. Fixes
-          <ulink url="&lfs-ticket-root;4021">#4021</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-12-21</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to gcc-6.3.0. Fixes
-          <ulink url="&lfs-ticket-root;4018">#4018</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to gmp-6.1.2. Fixes
-          <ulink url="&lfs-ticket-root;4017">#4017</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to iproute2-4.9.0. Fixes
-          <ulink url="&lfs-ticket-root;4016">#4016</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to man-pages-4.09. Fixes
-          <ulink url="&lfs-ticket-root;4015">#4015</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to man-db-2.7.6.1. Fixes
-          <ulink url="&lfs-ticket-root;4014">#4014</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.9. Fixes
-          <ulink url="&lfs-ticket-root;4013">#4013</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to eudev-3.2.1. Fixes
-          <ulink url="&lfs-ticket-root;4013">#4013</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-12-18</para>
-      <itemizedlist>
-        <listitem>
-          <para>[dj] - Update toolchain sanity checks to use values for
-          x86_64.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-12-17</para>
-      <itemizedlist>
-        <listitem>
-          <para>[dj] - Remove {,/usr}/lib64 symlinks for x86_64 builds. Add
-          /lib64 directory with symlinks to dynamic loader. Adjust installation
-          of glibc, gcc, and libcap to account for directory layout
-          changes.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-12-10</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.8.14. Fixes
-          <ulink url="&lfs-ticket-root;4012">#4012</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to grep-2.27. Fixes
-          <ulink url="&lfs-ticket-root;4011">#4011</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Add a note about a false Error in texinfo 
-          configure phase in Chapter 5. Fixes
-          <ulink url="&lfs-ticket-root;4004">#4004</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-12-03</para>
-      <itemizedlist>
-        <listitem>
-          <para>[dj] - Update to coreutils-8.26. Fixes
-          <ulink url="&lfs-ticket-root;4010">#4010</ulink>.</para>
-        </listitem>
-        <listitem revision="systemd">
-          <para>[dj] - Update to dbus-1.10.14. Fixes
-          <ulink url="&lfs-ticket-root;4009">#4009</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[dj] - Update to linux-4.8.12 and fix recent OOM issue. Fixes
-          <ulink url="&lfs-ticket-root;4008">#4008</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[dj] - Update to tzdata-2016j. Fixes
-          <ulink url="&lfs-ticket-root;4007">#4007</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-11-22</para>
-      <itemizedlist>
-        <listitem>
-          <para>[dj] - Update to linux-4.8.10. Fixes
-          <ulink url="&lfs-ticket-root;4005">#4005</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[dj] - Added flex-2.6.2-fixes-1.patch. Fixes
-          <ulink url="&lfs-ticket-root;4003">#4003</ulink>.</para>
-        </listitem>
-        <listitem revision="systemd">
-          <para>[dj] - Fix issue with systemd and sulogin. Fixes
-          <ulink url="&lfs-ticket-root;4006">#4006</ulink>. Thanks to
-          Eric S. Stone for the report.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-11-17</para>
-      <itemizedlist>
-        <listitem>
-          <para>[renodr] - Update to linux-4.8.8. Fixes
-          <ulink url="&lfs-ticket-root;4002">#4002</ulink>.</para>
-        </listitem>
-        <listitem revision="systemd">
-          <para>[renodr] - Update to systemd-232. Fixes
-          <ulink url="&lfs-ticket-root;4000">#4000</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-11-09</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to vim-8.0.069. Fixes 
-          <ulink url="&lfs-ticket-root;4001">#4001</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to tzdata-2016i. Fixes 
-          <ulink url="&lfs-ticket-root;3999">#3999</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to file-5.29. Fixes 
-          <ulink url="&lfs-ticket-root;3909">#3998</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to flex-2.6.2. Fixes 
-          <ulink url="&lfs-ticket-root;3997">#3997</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.8.6. Fixes 
-          <ulink url="&lfs-ticket-root;3996">#3996</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to util-linux-2.29. Fixes 
-          <ulink url="&lfs-ticket-root;3987">#3987</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-11-07</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Clarified the function of /etc/inputrc.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem revision="systemd">
-      <para>2016-10-27</para>
-      <itemizedlist>
-        <listitem>
-          <para>[dj] - Moved /etc/resolv.conf symlink to Chapter 7.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem revision="systemd">
-      <para>2016-10-23</para>
-      <itemizedlist>
-        <listitem>
-          <para>[renodr] - Update to dbus-1.10.12. Fixes
-          <ulink url="&lfs-ticket-root;3993">#3993</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-10-22</para>
-      <itemizedlist>
-        <listitem>
-          <para>[ken] - Update to iproute2-4.8.0. Fixes
-          <ulink url="&lfs-ticket-root;3992">#3992</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[ken] - Update to tzdata-2016h. Fixes
-          <ulink url="&lfs-ticket-root;3995">#3995</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[ken] - Update to linux-4.8.3. Fixes
-          <ulink url="&lfs-ticket-root;3994">#3994</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem revision="systemd">
-      <para>2016-10-10</para>
-      <itemizedlist>
-        <listitem>
-          <para>[renodr] - Added a note about using the
-          <application>systemd</application> source tarball generated by the
-          LFS systemd team.</para>
-        </listitem>
-        <listitem>
-          <para>[renodr] - Fixed the symlink for /etc/resolv.conf in the
-          systemd page in Chapter 6. Thanks goes to DJ Lucas and
-          Wayne for reporting this.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-10-09</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.8.1. Fixes 
-          <ulink url="&lfs-ticket-root;3983">#3983</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to mpfr-3.1.5. Fixes 
-          <ulink url="&lfs-ticket-root;3984">#3984</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to tzdata-2016g. Fixes 
-          <ulink url="&lfs-ticket-root;3985">#3985</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to grep-2.26. Fixes 
-          <ulink url="&lfs-ticket-root;3988">#3988</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to man-pages-4.08. Fixes 
-          <ulink url="&lfs-ticket-root;3991">#3991</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem revision="systemd">
-      <para>2016-09-29</para>
-      <itemizedlist>
-        <listitem>
-          <para>[renodr] - Added a security patch for systemd. Fixes
-          <ulink url="&lfs-ticket-root;3986">#3986</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-09-16</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to bash-4.4. Fixes 
-          <ulink url="&lfs-ticket-root;3981">#3981</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to readline-7.0. Fixes 
-          <ulink url="&lfs-ticket-root;3982">#3982</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.7.4. Fixes 
-          <ulink url="&lfs-ticket-root;3980">#3980</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-09-14</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to vim-8.0. Fixes 
-          <ulink url="&lfs-ticket-root;3979">#3979</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-09-12</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to texinfo-6.3. Fixes 
-          <ulink url="&lfs-ticket-root;3978">#3978</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-09-10</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to e2fsprogs-1.43.3. Fixes 
-          <ulink url="&lfs-ticket-root;3977">#3977</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-09-09</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to gawk-4.1.4. Fixes 
-          <ulink url="&lfs-ticket-root;3973">#3973</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to e2fsprogs-1.43.2. Fixes 
-          <ulink url="&lfs-ticket-root;3974">#3974</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.7.3. Fixes 
-          <ulink url="&lfs-ticket-root;3975">#3975</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to util-linux-2.28.2. Fixes 
-          <ulink url="&lfs-ticket-root;3976">#3976</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-09-07</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - LFS-7.10 released.</para>
-        </listitem>
       </itemizedlist>
     </listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 2dea807cd3689fe02929ad264dca5b2ee592af96)
+++ chapter01/whatsnew.xml	(revision 24ed2a19ccca17f8b504e80c51638f88749af55e)
@@ -39,7 +39,7 @@
       <para>Automake &automake-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Bash &bash-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Binutils &binutils-version;</para>
@@ -51,7 +51,7 @@
       <para>Bzip2 &bzip2-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Check &check-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Coreutils &coreutils-version;</para>
@@ -60,16 +60,16 @@
       <para>DejaGNU &dejagnu-version;</para>
     </listitem>-->
-    <listitem revision="systemd">
+    <!--<listitem revision="systemd">
       <para>D-Bus-&dbus-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Diffutils &diffutils-version;</para>
     </listitem>-->
-    <listitem revision="sysv">
+    <!--<listitem revision="sysv">
       <para>Eudev &eudev-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>E2fsprogs &e2fsprogs-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Expat-&expat-version;</para>
@@ -78,19 +78,19 @@
       <para>Expect &expect-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>File &file-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Findutils &findutils-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Flex &flex-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Gawk &gawk-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>GCC &gcc-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>GDBM &gdbm-version;</para>
@@ -99,16 +99,16 @@
       <para>Gettext &gettext-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Glibc &glibc-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>GMP &gmp-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Grep &grep-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Groff &groff-version;</para>
@@ -129,10 +129,10 @@
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>IPRoute2 &iproute2-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Kbd &kbd-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Kmod &kmod-version;</para>
@@ -153,7 +153,7 @@
       <para>Libtool &libtool-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Linux &linux-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>M4 &m4-version;</para>
@@ -162,16 +162,16 @@
       <para>Make &make-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Man-DB &man-db-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Man-pages &man-pages-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>MPC &mpc-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>MPFR &mpfr-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Ncurses &ncurses-version;</para>
@@ -180,7 +180,7 @@
       <para>Patch &patch-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Perl &perl-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Pkg-config &pkgconfig-version;</para>
@@ -192,19 +192,19 @@
       <para>Psmisc &psmisc-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Readline &readline-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Sed &sed-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Shadow &shadow-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem revision="sysv">
       <para>Sysklogd &sysklogd-version;</para>
     </listitem>-->
-    <listitem revision="systemd">
+    <!--<listitem revision="systemd">
       <para>Systemd &systemd-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem revision="sysv">
       <para>SysVinit &sysvinit-version;</para>
@@ -216,25 +216,25 @@
       <para>Tcl-core-&tcl-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Texinfo &texinfo-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Tzdata &tzdata-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Util-Linux &util-linux-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Vim &vim-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>XML-Parser-&xml-parser-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>XZ-Utils &xz-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Zlib &zlib-version;</para>
-    </listitem>
+    </listitem>-->
   </itemizedlist>
 
@@ -252,7 +252,4 @@
     <listitem><para></para></listitem>  <!-- satisfy build -->
 
-    <listitem>
-      <para>bash-4.4-upstream_fixes-1.patch</para>
-    </listitem>
 <!--
     <listitem>
@@ -266,11 +263,7 @@
     <listitem><para></para></listitem>  <!-- satisfy build -->
 
-    <listitem>
+    <!--<listitem>
       <para>bash-4.3.30-upstream_fixes-3.patch</para>
-    </listitem>
-
-    <listitem>
-      <para>readline-6.3-upstream_fixes-3.patch</para>
-    </listitem>
+    </listitem>-->
 
   </itemizedlist>