Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision c63253fb000193fb3238ae508c0730f77323e413)
+++ chapter01/changelog.xml	(revision 25b402cd2967fb2f193b46be61c3395238fd5739)
@@ -47,4 +47,22 @@
     <listitem>
       <itemizedlist>
+      <para>2020-07-21</para>
+        <listitem>
+          <para>[bdubbs] - Update to Python3-3.8.5. Fixes
+          <ulink url="&lfs-ticket-root;4695">#4695</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libcap-2.40. Fixes
+          <ulink url="&lfs-ticket-root;4694">#4694</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.7.9. Fixes
+          <ulink url="&lfs-ticket-root;4696">#4696</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <itemizedlist>
       <para>2020-07-15</para>
         <listitem>
Index: chapter07/creatingdirs.xml
===================================================================
--- chapter07/creatingdirs.xml	(revision c63253fb000193fb3238ae508c0730f77323e413)
+++ chapter07/creatingdirs.xml	(revision 25b402cd2967fb2f193b46be61c3395238fd5739)
@@ -20,6 +20,6 @@
 mkdir -pv /usr/{,local/}share/{misc,terminfo,zoneinfo}
 mkdir -pv /usr/{,local/}share/man/man{1..8}
+install -dv -m 0750 /root
 install -dv -m 1777 /tmp /var/tmp
-install -dv -m 0750 /root
 
 mkdir -v /var/{log,mail,spool}
Index: chapter08/bison.xml
===================================================================
--- chapter08/bison.xml	(revision c63253fb000193fb3238ae508c0730f77323e413)
+++ chapter08/bison.xml	(revision 25b402cd2967fb2f193b46be61c3395238fd5739)
@@ -49,8 +49,7 @@
 <screen><userinput remap="make">make</userinput></screen>
 
-    <para>The tests are known to fail using multiple processors. 
-    To test the results (about 5.5 SBU), issue:</para>
+    <para>To test the results (about 5.5 SBU), issue:</para>
 
-<screen><userinput remap="test">make -j1 check</userinput></screen>
+<screen><userinput remap="test">make check</userinput></screen>
 
     <para>Install the package:</para>
Index: general.ent
===================================================================
--- general.ent	(revision c63253fb000193fb3238ae508c0730f77323e413)
+++ general.ent	(revision 25b402cd2967fb2f193b46be61c3395238fd5739)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20200715">
+<!ENTITY version         "SVN-20200721">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200715-systemd">
+<!ENTITY versiond        "20200721-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "July 15th, 2020">
+<!ENTITY releasedate     "July 21st, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision c63253fb000193fb3238ae508c0730f77323e413)
+++ packages.ent	(revision 25b402cd2967fb2f193b46be61c3395238fd5739)
@@ -392,8 +392,8 @@
 <!ENTITY lfs-bootscripts-cfg-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.39">
+<!ENTITY libcap-version "2.40">
 <!ENTITY libcap-size "135 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "575232cb5cc8f711a5f70e111d83efb5">
+<!ENTITY libcap-md5 "c7b2c60f8d0f2f46d37b2bf74e6eeee6">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-fin-du "11 MB">
@@ -426,10 +426,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "7">
-<!ENTITY linux-patch-version "8">
+<!ENTITY linux-patch-version "9">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "110,074 KB">
+<!ENTITY linux-size "110,080 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "0b397271b0b5e55a3d6e5566e607dee5">
+<!ENTITY linux-md5 "09d5fc3f89c9c0e607af7b0b0344b480">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -582,9 +582,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.8.4">
+<!ENTITY python-version "3.8.5">
 <!ENTITY python-minor "3.8">
-<!ENTITY python-size "17,599 KB">
+<!ENTITY python-size "17,598 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "e16df33cd7b58702e57e137f8f5d13e7">
+<!ENTITY python-md5 "35b5a3d0254c1c59be9736373d429db7">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "397 MB">
@@ -593,6 +593,6 @@
 <!ENTITY python-fin-sbu "1.2 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "34eeff96f21f007b9a2d6e8a37d17a87">
-<!ENTITY python-docs-size "6,407 KB">
+<!ENTITY python-docs-md5 "2e0a549db8bef61733c37322368c815d">
+<!ENTITY python-docs-size "6,409 KB">
 
 <!ENTITY readline-version "8.0">