Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision 6e13139a1b2e2f3419572594aa5226f6eb6eacc0)
+++ appendices/dependencies.xml	(revision 26ae89aa60cde28dd05ef0ac8ad246292d4f5071)
@@ -421,5 +421,5 @@
 
         <seglistitem>
-          <seg>Bash, Diffutils, Findutils, Man-DB, and Udev</seg>
+          <seg>Bash, Diffutils, Findutils, Man-DB, and Systemd</seg>
         </seglistitem>
       </segmentedlist>
@@ -2272,5 +2272,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, Findutils, Gawk, GCC,
-         Gettext, Glibc, Grep, Make, Ncurses, Sed, Udev, and Zlib</seg>
+         Gettext, Glibc, Grep, Make, Ncurses, Sed, Systemd, and Zlib</seg>
         </seglistitem>
       </segmentedlist>
@@ -2394,5 +2394,5 @@
 
         <seglistitem>
-          <seg>GRUB, Kmod, Man-DB, Udev</seg>
+          <seg>GRUB, Kmod, Man-DB, Systemd</seg>
         </seglistitem>
       </segmentedlist>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 6e13139a1b2e2f3419572594aa5226f6eb6eacc0)
+++ chapter01/changelog.xml	(revision 26ae89aa60cde28dd05ef0ac8ad246292d4f5071)
@@ -38,4 +38,19 @@
 
     <listitem>
+      <para>2016-01-02</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Fix build of systemd with libblkid and libmount in
+          /tools/lib and move util-linux to its previous build order to
+          solve reciprocal dependency.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Removed /etc/resolv.conf symlink in network
+          configuration as it is created automatically if needed.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2016-01-01</para>
       <itemizedlist>
Index: chapter06/chapter06.xml
===================================================================
--- chapter06/chapter06.xml	(revision 6e13139a1b2e2f3419572594aa5226f6eb6eacc0)
+++ chapter06/chapter06.xml	(revision 26ae89aa60cde28dd05ef0ac8ad246292d4f5071)
@@ -59,5 +59,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gettext.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="systemd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="procps.xml"/>
@@ -77,4 +76,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="patch.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dbus.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="tar.xml"/>
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision 6e13139a1b2e2f3419572594aa5226f6eb6eacc0)
+++ chapter06/systemd.xml	(revision 26ae89aa60cde28dd05ef0ac8ad246292d4f5071)
@@ -41,5 +41,27 @@
     <title>Installation of systemd</title>
 
-    <para>First, create a file to allow systemd to build when using Util-Linux
+    <para>First, fix a build error when using Util-Linux built in
+    Chapter 5:</para>
+
+<screen><userinput remap="pre">sed -i "s:blkid/::" $(grep -rl "blkid/blkid.h")</userinput></screen>
+
+    <para>Apply the following patch so that compat
+    <command>pkg-config</command> files get installed without installing compat
+    libs which are useless on LFS:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../&systemd-compat-patch;</userinput></screen>
+
+    <para>Disable two tests that always fail:</para>
+
+<screen><userinput remap="pre">sed -e 's:test/udev-test.pl ::g'  \
+    -e 's:test-copy$(EXEEXT) ::g' \
+    -i Makefile.in</userinput></screen>
+
+    <para>Rebuild generated files after modifying Makefile.am and 
+    Makefile.in:</para>
+
+<screen><userinput remap="pre">autoreconf -fi</userinput></screen>
+
+    <para>Create a file to allow systemd to build when using Util-Linux
     built in Chapter 5, to disable LTO by default, and to build without
     xlstproc:</para>
@@ -59,24 +81,8 @@
 EOF</userinput></screen>
 
-    <para>LTO is disabled by default because it causes <command>systemd</command>
-    and other auxiliary programs to link to <filename
-    class="libraryfile">libgcc_s.so</filename>, slows the build down and makes the
-    compiled code larger.</para>
-
-    <para>Additionally, fix a build error when using Util-Linux built in
-    Chapter 5:</para>
-
-<screen><userinput remap="pre">sed -i "s:blkid/::" $(grep -rl "blkid/blkid.h")</userinput></screen>
-
-    <para>Apply the following patch so that compat <command>pkg-config</command> files
-    get installed without installing compat libs which are useless on LFS:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../&systemd-compat-patch;</userinput></screen>
-
-    <para>Disable two tests that always fail:</para>
-
-<screen><userinput remap="pre">sed -e 's:test/udev-test.pl ::g'  \
-    -e 's:test-copy$(EXEEXT) ::g' \
-    -i Makefile.in</userinput></screen>
+    <para>LTO is disabled by default because it causes
+    <command>systemd</command> and other auxiliary programs to link to
+    <filename class="libraryfile">libgcc_s.so</filename>, slows the build down
+    and makes the compiled code larger.</para>
 
     <para>Prepare systemd for compilation:</para>
Index: chapter07/network.xml
===================================================================
--- chapter07/network.xml	(revision 6e13139a1b2e2f3419572594aa5226f6eb6eacc0)
+++ chapter07/network.xml	(revision 26ae89aa60cde28dd05ef0ac8ad246292d4f5071)
@@ -116,14 +116,7 @@
       <para>When using <command>systemd-resolved</command> for DNS
       configuration, it is responsible for creating the
-      <filename>/etc/resolv.conf</filename> file, which is placed in a
-      non-standard location that is writable during early boot. In order to be
-      used by other components of the system, it is necessary to create a
-      symlink with the following command:</para>
-
-<screen><userinput>ln -sfv /run/systemd/resolve/resolv.conf /etc/resolv.conf</userinput></screen>
-
-      <para>This is required if you are specifying DNS entries in <filename
-      class="extension">.network</filename> files or using the built in
-      DHCP client to obtain DNS addresses.</para>
+      <filename>/etc/resolv.conf</filename> file. Since version 226, the
+      symlink for <filename>/etc/resolv.conf</filename> is created by systemd
+      when needed, so no further configuration is necessary.</para>
 
     </sect3>
Index: general.ent
===================================================================
--- general.ent	(revision 6e13139a1b2e2f3419572594aa5226f6eb6eacc0)
+++ general.ent	(revision 26ae89aa60cde28dd05ef0ac8ad246292d4f5071)
@@ -1,5 +1,5 @@
-<!ENTITY version         "20160101-systemd">
+<!ENTITY version         "20160102-systemd">
 <!ENTITY short-version   "systemd">  <!-- Used in dbus chapter, change to x.y for release -->
-<!ENTITY releasedate     "January 1, 2016">
+<!ENTITY releasedate     "January 2, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.9">