Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision bafa318886a5f8e9a7f34b3cadb1acab80d6cb29)
+++ appendices/dependencies.xml	(revision 28b3209b0ad610da9e812b08cce56fe754937829)
@@ -1403,4 +1403,39 @@
       </segmentedlist>
 
+<!-- Begin Libcap dependency info -->
+  <bridgehead renderas="sect2" id="libcap-dep">Libcap</bridgehead>
+
+      <segmentedlist>
+        <segtitle>&dependencies;</segtitle>
+
+        <seglistitem>
+         <seg>Attr, Bash, Binutils, Coreutils, GCC, Glibc, Perl, Make, and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No test suite available</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>Systemd</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>Linux-PAM</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Libpipeline dependency info -->
   <bridgehead renderas="sect2" id="libpipeline-dep">Libpipeline</bridgehead>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision bafa318886a5f8e9a7f34b3cadb1acab80d6cb29)
+++ chapter01/changelog.xml	(revision 28b3209b0ad610da9e812b08cce56fe754937829)
@@ -36,4 +36,13 @@
     </listitem>
 -->
+    <listitem>
+      <para>2014-03-28</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Added libcap-2.24.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>2014-03-27</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision bafa318886a5f8e9a7f34b3cadb1acab80d6cb29)
+++ chapter01/whatsnew.xml	(revision 28b3209b0ad610da9e812b08cce56fe754937829)
@@ -249,4 +249,7 @@
     </listitem>
     <listitem>
+      <para>libcap-&libcap-version;</para>
+    </listitem>
+    <listitem>
       <para>XML::Parser-&xml-parser-version;</para>
     </listitem>
Index: chapter06/chapter06.xml
===================================================================
--- chapter06/chapter06.xml	(revision bafa318886a5f8e9a7f34b3cadb1acab80d6cb29)
+++ chapter06/chapter06.xml	(revision 28b3209b0ad610da9e812b08cce56fe754937829)
@@ -33,6 +33,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="pkgconfig.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ncurses.xml"/>
+
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="attr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="acl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libcap.xml"/>
+
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="psmisc.xml"/>
Index: chapter06/libcap.xml
===================================================================
--- chapter06/libcap.xml	(revision 28b3209b0ad610da9e812b08cce56fe754937829)
+++ chapter06/libcap.xml	(revision 28b3209b0ad610da9e812b08cce56fe754937829)
@@ -0,0 +1,129 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-libcap" role="wrap">
+  <?dbhtml filename="libcap.html"?>
+
+  <sect1info condition="script">
+    <productname>libcap</productname>
+    <productnumber>&libcap-version;</productnumber>
+    <address>&libcap-url;</address>
+  </sect1info>
+
+  <title>Libcap-&libcap-version;</title>
+
+  <indexterm zone="ch-system-libcap">
+    <primary sortas="a-Libcap">Libcap</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The Libcap package implements the user-space interfaces to the POSIX
+    1003.1e capabilities available in Linux kernels. These capabilities are a
+    partitioning of the all powerful root privilege into a set of distinct
+    privileges.</para>
+
+    <segmentedlist>
+      <segtitle>&buildtime;</segtitle>
+      <segtitle>&diskspace;</segtitle>
+
+      <seglistitem>
+        <seg>&libcap-ch6-sbu;</seg>
+        <seg>&libcap-ch6-du;</seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Libcap</title>
+
+    <para>Compile the package:</para>
+
+<screen><userinput remap="make">make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Install the package:</para>
+
+<screen><userinput remap="install">make RAISE_SETFCAP=no prefix=/usr install
+chmod -v 755 /usr/lib/libcap.so</userinput></screen>
+
+    <para>The shared library needs to be moved to
+    <filename class="directory">/lib</filename>, and as a result the
+    <filename class="extension">.so</filename> file in
+    <filename class="directory">/usr/lib</filename> will need to be recreated:</para>
+
+<screen><userinput remap="install">mv -v /usr/lib/libcap.so.* /lib
+ln -sfv ../../lib/$(readlink /usr/lib/libcap.so) /usr/lib/libcap.so</userinput></screen>
+
+  </sect2>
+
+  <sect2 id="contents-libcap" role="content">
+    <title>Contents of Libcap</title>
+
+    <segmentedlist>
+      <segtitle>Installed programs</segtitle>
+      <segtitle>Installed library</segtitle>
+
+      <seglistitem>
+        <seg>capsh, getcap, getpcaps, and setcap</seg>
+        <seg>libcap.{a,so}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="capsh">
+        <term><command>capsh</command></term>
+        <listitem>
+          <para>A shell wrapper to explore and constrain capability support</para>
+          <indexterm zone="ch-system-libcap capsh">
+            <primary sortas="b-capsh">capsh</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="getcap">
+        <term><command>getcap</command></term>
+        <listitem>
+          <para>Examines file capabilities</para>
+          <indexterm zone="ch-system-libcap getcap">
+            <primary sortas="b-getcap">getcap</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="getpcaps">
+        <term><command>getpcaps</command></term>
+        <listitem>
+          <para>Displays the capabilities on the queried process(es)</para>
+          <indexterm zone="ch-system-libcap getpcaps">
+            <primary sortas="b-getpcaps">getpcaps</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcap">
+        <term><filename class="libraryfile">libcap</filename></term>
+        <listitem>
+          <para>Contains the libcap API functions</para>
+          <indexterm zone="ch-system-libcap libcap">
+            <primary sortas="c-libcap">libcap</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: general.ent
===================================================================
--- general.ent	(revision bafa318886a5f8e9a7f34b3cadb1acab80d6cb29)
+++ general.ent	(revision 28b3209b0ad610da9e812b08cce56fe754937829)
@@ -1,4 +1,4 @@
-<!ENTITY version         "SVN-20140327">
-<!ENTITY releasedate     "March 27, 2014">
+<!ENTITY version         "SVN-20140328">
+<!ENTITY releasedate     "March 28, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.6">
Index: packages.ent
===================================================================
--- packages.ent	(revision bafa318886a5f8e9a7f34b3cadb1acab80d6cb29)
+++ packages.ent	(revision 28b3209b0ad610da9e812b08cce56fe754937829)
@@ -370,4 +370,12 @@
 <!ENTITY lfs-bootscripts-ch7-du "BOOTSCRIPTS-INSTALL-KB KB"> <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-ch7-sbu "less than 0.1 SBU">
+
+<!ENTITY libcap-version "2.24">
+<!ENTITY libcap-size "64 KB">
+<!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
+<!ENTITY libcap-md5 "d43ab9f680435a7fff35b4ace8d45b80">
+<!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
+<!ENTITY libcap-ch6-du "1.7 MB">
+<!ENTITY libcap-ch6-sbu "0.1 SBU">
 
 <!ENTITY libpipeline-version "1.2.6">
Index: ylesheets/lfs-xsl/docbook-xsl-1.78.1/svn-commit.tmp
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-1.78.1/svn-commit.tmp	(revision bafa318886a5f8e9a7f34b3cadb1acab80d6cb29)
+++ 	(revision )
@@ -1,4 +1,0 @@
-Restore VERSION to snapshot state.
---This line, and those below, will be ignored--
-
-M    VERSION