Index: chapter08/fstab.xml
===================================================================
--- chapter08/fstab.xml	(revision 82fd24a40e41ce96a095412623d0480875ce2960)
+++ chapter08/fstab.xml	(revision 29f5bc3994b02086387fc4fb0dbb94b4d8020d3c)
@@ -10,8 +10,8 @@
 <indexterm zone="ch-bootable-fstab"><primary sortas="e-/etc/fstab">/etc/fstab</primary></indexterm>
 
-<para>The <filename>/etc/fstab</filename> file is used by some
-programs to determine where file systems are to be mounted by default,
-which must be checked, and in which order. Create a new file systems
-table like this:</para>
+<para>The <filename>/etc/fstab</filename> file is used by some programs to
+determine where file systems are to be mounted by default, in which order, and
+which must be checked (for integrity errors) prior to mounting. Create a new
+file systems table like this:</para>
 
 <screen><userinput>cat &gt; /etc/fstab &lt;&lt; "EOF"
Index: chapter08/kernel.xml
===================================================================
--- chapter08/kernel.xml	(revision 82fd24a40e41ce96a095412623d0480875ce2960)
+++ chapter08/kernel.xml	(revision 29f5bc3994b02086387fc4fb0dbb94b4d8020d3c)
@@ -11,5 +11,5 @@
 
 <sect2 role="package"><title/>
-<para>The Linux package contains the kernel and the header files.</para>
+<para>The Linux package contains the Linux kernel.</para>
 
 <segmentedlist>
@@ -30,8 +30,7 @@
 <title>Installation of the kernel</title>
 
-<para>Building the kernel involves a few steps&mdash;configuration,
-compilation, and installation. Read the <filename>README</filename>
-file in the kernel source tree for alternate methods to the way this
-book configures the kernel.</para>
+<para>Building the kernel involves a few steps&mdash;configuration, compilation,
+and installation. Read the <filename>README</filename> file in the kernel source
+tree for alternative methods to the way this book configures the kernel.</para>
 
 <para>Prepare for compilation by running the following command:</para>
@@ -92,20 +91,18 @@
 <screen><userinput>make</userinput></screen>
 
-<para>If using kernel modules, an
-<filename>/etc/modprobe.conf</filename> file may be needed.
-Information pertaining to modules and kernel configuration is
+<para>If using kernel modules, an <filename>/etc/modprobe.conf</filename> file
+may be needed. Information pertaining to modules and kernel configuration is
 located in the kernel documentation in the <filename
-class="directory">linux-&linux-version;/Documentation</filename>
-directory. The <emphasis>modprobe.conf</emphasis> man page may also be
-of interest.</para>
-
-<para>Be very careful when reading other documentation because it
-usually applies to 2.4.x kernels only. As far as we know, kernel
-configuration issues specific to Hotplug and Udev are not documented.
-The problem is that Udev will create a device node only if Hotplug or
-a user-written script inserts the corresponding module into the
-kernel, and not all modules are detectable by Hotplug. Note that
-statements like the one below in the
-<filename>/etc/modprobe.conf</filename> file do not work with
+class="directory">linux-&linux-version;/Documentation</filename> directory. The
+<emphasis>modprobe.conf</emphasis> <command>man</command> page may also be of
+interest.</para>
+
+<para>Be very careful when reading other documentation relating to kernel
+modules because it usually applies to 2.4.x kernels only. As far as we know,
+kernel configuration issues specific to Hotplug and Udev are not documented.
+The problem is that Udev will create a device node only if Hotplug or a
+user-written script inserts the corresponding module into the kernel, and not
+all modules are detectable by Hotplug. Note that statements like the one below
+in the <filename>/etc/modprobe.conf</filename> file do not work with
 Udev:</para>
 
@@ -119,10 +116,4 @@
 
 <screen><userinput>make modules_install</userinput></screen>
-
-<para>If there are many modules and very little space, consider
-stripping and compressing the modules. For most users, such
-compression is not worth the time, but if the system is pressed for
-space, see <ulink
-url="http://www.linux-mips.org/archives/linux-mips/2002-04/msg00031.html"/>.</para>
 
 <para>After kernel compilation is complete, additional steps are